Create a project
POST
/v1/projectsPOST
/v1/projects
const url = 'https://api.wabe.sh/v1/projects';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"My application"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wabe.sh/v1/projects \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "My application" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
1–128 UTF-8 bytes after trimming, without control characters.
string
Example
{ "name": "My application"}Responses
Section titled “Responses”Project created.
Media typeapplication/json
object
id
required
string format: uuid
Example
779742ad-cd09-4e1c-9170-f20968b344d4name
required
string
created_at
required
string format: date-time
Example
2026-11-09T12:00:00ZInvalid project name.
Media typeapplication/json
object
error
required
string
message
required
string
Missing or invalid dashboard login JWT.
Media typeapplication/json
object
error
required
string
message
required
string
Name already exists in the current organization.
Media typeapplication/json
object
error
required
string
message
required
string